## pg-track-settings 2.1.1

=== Makefile ===
EXTENSION    = pg_track_settings
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test
DOCS         = $(wildcard README.md)

DATA         = $(wildcard *--*.sql)

PG_CONFIG    = pg_config
PGXS         = $(shell $(PG_CONFIG) --pgxs)

include $(PGXS)


all:

release-zip: all
	git archive --format zip --prefix=${EXTENSION}-${EXTVERSION}/ --output ./${EXTENSION}-${EXTVERSION}.zip HEAD
	unzip ./${EXTENSION}-$(EXTVERSION).zip
	rm ./${EXTENSION}-$(EXTVERSION).zip
	rm ./${EXTENSION}-$(EXTVERSION)/.gitignore
	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./${EXTENSION}-$(EXTVERSION)/META.json
	zip -r ./${EXTENSION}-$(EXTVERSION).zip ./${EXTENSION}-$(EXTVERSION)/
	rm ./${EXTENSION}-$(EXTVERSION) -rf

## pg-track-settings 2.0.1

=== debian/changelog ===
pg-track-settings (2.0.1-4) unstable; urgency=medium

  * Team upload.
  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jan 2022 12:20:05 +0100

pg-track-settings (2.0.1-3) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Oct 2021 12:45:12 +0200

pg-track-settings (2.0.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 15:54:21 +0200

pg-track-settings (2.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Mon, 16 Nov 2020 16:46:05 +0100

pg-track-settings (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Testsuite wants to run as postgres, so require root for autopkgtest.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Oct 2020 10:59:52 +0100

pg-track-settings (2.0.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 11:56:59 +0200

pg-track-settings (2.0.0-1) unstable; urgency=medium

  * Initial release.

 -- Julien Rouhaud <rjuju123@gmail.com>  Fri, 07 Aug 2020 16:19:41 +0200

=== debian/control ===
Source: pg-track-settings
Section: database
Priority: optional
Maintainer: Julien Rouhaud <rjuju123@gmail.com>
Standards-Version: 4.5.0
Build-Depends: debhelper-compat (= 13), postgresql-server-dev-all (>= 141~)
Rules-Requires-Root: no
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://github.com/rjuju/pg_track_settings
Vcs-Git: https://github.com/rjuju/pg_track_settings.git

Package: postgresql-14-pg-track-settings
Architecture: all
Depends: ${misc:Depends}, postgresql-14
Description: PostgreSQL extension tracking of configuration settings
 pg_track_settings is a small PostgreSQL extension that helps you keep track of
 PostgreSQL settings configuration.
 .
 It provides a function (pg_track_settings_snapshot()), that must be called
 regularly. At each call, it will store the settings that have been changed
 since last call. It will also track the postgresql start time if it's
 different from the last one.
 .
 This extension tracks both overall settings (the pg_settings view) and
 overloaded settings (the pg_db_role_setting table).

=== debian/watch ===
version=4
https://github.com/rjuju/pg_track_settings/tags .*/([0-9][^-]*).tar.gz

## pg-track-settings 2.1.1

=== debian/changelog ===
pg-track-settings (2.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Wed, 02 Nov 2022 12:24:17 +0100

pg-track-settings (2.1.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Fri, 21 Oct 2022 11:04:29 +0200

pg-track-settings (2.1.1-1) unstable; urgency=medium

  * Team upload with new upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Sep 2022 14:20:44 +0200

pg-track-settings (2.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Tue, 20 Sep 2022 11:58:27 +0800

## pg-track-settings 2.1.2

=== debian/changelog ===
pg-track-settings (2.1.2-5) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117294)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 17:12:43 +0200

pg-track-settings (2.1.2-4) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Sep 2024 15:46:16 +0200

pg-track-settings (2.1.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Move packaging repo to salsa.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 18:25:10 +0200

pg-track-settings (2.1.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1054322)

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Oct 2023 22:53:58 +0200

pg-track-settings (2.1.2-2) unstable; urgency=medium

  * Team upload.
  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 17 Sep 2023 21:18:30 +0200

pg-track-settings (2.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Julien Rouhaud <rjuju123@gmail.com>  Sat, 13 May 2023 15:50:49 +0800

=== debian/control ===
Source: pg-track-settings
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 postgresql-server-dev-all,
Homepage: https://powa.readthedocs.io/
Vcs-Browser: https://salsa.debian.org/postgresql/pg-track-settings
Vcs-Git: https://salsa.debian.org/postgresql/pg-track-settings.git

Package: postgresql-18-pg-track-settings
Architecture: all
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension tracking of configuration settings
 pg_track_settings is a small PostgreSQL extension that helps you keep track of
 PostgreSQL settings configuration.
 .
 It provides a function (pg_track_settings_snapshot()), that must be called
 regularly. At each call, it will store the settings that have been changed
 since last call. It will also track the postgresql start time if it's
 different from the last one.
 .
 This extension tracks both overall settings (the pg_settings view) and
 overloaded settings (the pg_db_role_setting table).

=== debian/rules ===
#!/usr/bin/make -f

PKGVER = $(shell dpkg-parsechangelog | awk -F '[:-]' '/^Version:/ { print substr($$2, 2) }')
EXCLUDE = --exclude-vcs --exclude=debian

override_dh_installdocs:
	dh_installdocs --all README.md
	rm -rvf debian/*/usr/share/doc/postgresql-doc-*

override_dh_pgxs_test:
	# defer testing to autopkgtest, tests want to run as postgres

orig: debian/control clean
	cd .. && tar czf pg-track-settings_$(PKGVER).orig.tar.gz $(EXCLUDE) pg-track-settings-$(PKGVER)

%:
	dh $@ --with pgxs_loop

=== debian/tests/control ===
Depends:
 postgresql-common-dev,
 @,
Tests:
 installcheck,
Restrictions:
 allow-stderr,
 needs-root,

=== debian/watch ===
version=3
https://github.com/rjuju/pg_track_settings/tags .*/([0-9.]*).tar.gz
